Edit a published YouTube video (title, description, visibility, Studio tags, cover)
curl --request PATCH \
--url https://api.social-api.ai/v1/platforms/youtube/accounts/{account_id}/videos/{video_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cover_url": "https://example.com/cover.jpg",
"description": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"visibility": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cover_url: 'https://example.com/cover.jpg',
description: '<string>',
tags: ['<string>'],
title: '<string>',
visibility: '<string>'
})
};
fetch('https://api.social-api.ai/v1/platforms/youtube/accounts/{account_id}/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/youtube/accounts/{account_id}/videos/{video_id}"
payload = {
"cover_url": "https://example.com/cover.jpg",
"description": "<string>",
"tags": ["<string>"],
"title": "<string>",
"visibility": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}YouTube
Edit a published YouTube video (title, description, visibility, Studio tags, cover)
PATCH
/
platforms
/
youtube
/
accounts
/
{account_id}
/
videos
/
{video_id}
Edit a published YouTube video (title, description, visibility, Studio tags, cover)
curl --request PATCH \
--url https://api.social-api.ai/v1/platforms/youtube/accounts/{account_id}/videos/{video_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cover_url": "https://example.com/cover.jpg",
"description": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"visibility": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cover_url: 'https://example.com/cover.jpg',
description: '<string>',
tags: ['<string>'],
title: '<string>',
visibility: '<string>'
})
};
fetch('https://api.social-api.ai/v1/platforms/youtube/accounts/{account_id}/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/platforms/youtube/accounts/{account_id}/videos/{video_id}"
payload = {
"cover_url": "https://example.com/cover.jpg",
"description": "<string>",
"tags": ["<string>"],
"title": "<string>",
"visibility": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}Authorizations
Body
application/json
Editable fields (all fields optional; omit any to leave unchanged)
Public URL of a JPG or PNG image (50 MB max) to set as the video's custom thumbnail. The channel must be verified to use custom thumbnails, otherwise the request fails with 403 platform.youtube.custom_thumbnail_forbidden. If the thumbnail is refused, no other field in the request is applied.
Example:
"https://example.com/cover.jpg"